Eclipse Platform Release 3.7

## org.eclipse.debug.ui.console
Interface IConsoleLineTracker

All Known Subinterfaces:
  IConsoleLineTrackerExtension

    public interface IConsoleLineTracker

Notified of lines appended to the console. A line tracker is defined in `plugin.xml`. A line tracker is associated with a type of process. Following is an example definition of a console line tracker extension.

     <extension point="org.eclipse.debug.ui.consoleLineTrackers">
       <consoleLineTracker
          id="com.example.ExampleConsoleLineTracker"
          class="com.example.ExampleConsoleLineTrackerClass"
          processType="ExampleProcessType">
       </consoleLineTracker>
     </extension>

The attributes are specified as follows:

- `id` specifies a unique identifier for this line tracker.
- `class` specifies a fully qualified name of a Java class that implements `IConsoleLineTracker`.
- `processType` specifies the identifier of the process type this line tracker is associated with (which corresponds to the `ATTR_PROCESS_TYPE` attribute on a process).

Clients may implement this interface.

Since:
  2.1

Method Summary
`void` `dispose()` Disposes this console line tracker.
`void` `init(IConsole console)` Notification that a console document has been created for which this listener is registered.
`void` `lineAppended(IRegion line)` Notification that a line of text has been appended to the console.

Method Detail

### init

    void init(IConsole console)

  Notification that a console document has been created for which this listener is registered.

  Parameters:
    `console` - console that has been created

### lineAppended

    void lineAppended(IRegion line)

  Notification that a line of text has been appended to the console. The given region describes the offset and length of the line appended to the console, excluding the line delimiter.

  Parameters:
    `line` - region describing the offset and length of line appended to the console, excluding the line delimiter

### dispose

    void dispose()

  Disposes this console line tracker.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.